# ApplicationFramework
TKCDF
LDOM

# LDOM_XmlWriter Class Reference

`#include <LDOM_XmlWriter.hxx>`

## Public Member Functions

Standard_EXPORT | LDOM_XmlWriter (FILE *aFile, const char *theEncoding=NULL)
Standard_EXPORT | ~LDOM_XmlWriter ()
void | SetIndentation (const Standard_Integer theIndent)
Standard_EXPORT LDOM_XmlWriter & | operator<< (const LDOM_Document &aDoc)
Standard_EXPORT LDOM_XmlWriter & | operator<< (const LDOM_Node &toWrite)

## Private Member Functions

void | WriteAttribute (const LDOM_Node &theAtt)
LDOM_XmlWriter & | operator<< (const LDOMBasicString &)
LDOM_XmlWriter & | operator<< (const LXMLCh *toWrite)
LDOM_XmlWriter & | operator<< (const LXMLCh aChar)
| LDOM_XmlWriter (const LDOM_XmlWriter &anOther)
LDOM_XmlWriter & | operator= (const LDOM_XmlWriter &anOther)

## Private Attributes

FILE * | myFile
LXMLCh * | myEncodingName
Standard_Integer | myIndent
Standard_Integer | myCurIndent
char * | myABuffer
Standard_Integer | myABufferLen

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_XmlWriter::LDOM_XmlWriter | ( | FILE * | aFile,
|  | const char * | theEncoding = `NULL`
| ) |

Standard_EXPORT LDOM_XmlWriter::~LDOM_XmlWriter | ( |  | ) |

LDOM_XmlWriter::LDOM_XmlWriter | ( | const LDOM_XmlWriter & | anOther | ) | `[private]`

## Member Function Documentation

LDOM_XmlWriter& LDOM_XmlWriter::operator<< | ( | const LXMLCh | aChar | ) | `[inline, private]`

LDOM_XmlWriter& LDOM_XmlWriter::operator<< | ( | const LXMLCh * | toWrite | ) | `[inline, private]`

LDOM_XmlWriter& LDOM_XmlWriter::operator<< | ( | const LDOMBasicString & |  | ) | `[private]`

Standard_EXPORT LDOM_XmlWriter& LDOM_XmlWriter::operator<< | ( | const LDOM_Node & | toWrite | ) |

Standard_EXPORT LDOM_XmlWriter& LDOM_XmlWriter::operator<< | ( | const LDOM_Document & | aDoc | ) |

LDOM_XmlWriter& LDOM_XmlWriter::operator= | ( | const LDOM_XmlWriter & | anOther | ) | `[private]`

void LDOM_XmlWriter::SetIndentation | ( | const Standard_Integer | theIndent | ) | `[inline]`

void LDOM_XmlWriter::WriteAttribute | ( | const LDOM_Node & | theAtt | ) | `[private]`

## Field Documentation

char* LDOM_XmlWriter::myABuffer `[private]`

Standard_Integer LDOM_XmlWriter::myABufferLen `[private]`

Standard_Integer LDOM_XmlWriter::myCurIndent `[private]`

LXMLCh* LDOM_XmlWriter::myEncodingName `[private]`

FILE* LDOM_XmlWriter::myFile `[private]`

Standard_Integer LDOM_XmlWriter::myIndent `[private]`

The documentation for this class was generated from the following file:

- LDOM_XmlWriter.hxx